# H323ChannelNumber Class Reference

`#include <channels.h>`

## Public Member Functions

| H323ChannelNumber ()
| H323ChannelNumber (unsigned number, PBoolean fromRemote)
virtual PObject * | Clone () const
virtual PINDEX | HashFunction () const
virtual void | PrintOn (ostream &strm) const
virtual Comparison | Compare (const PObject &obj) const
H323ChannelNumber & | operator++ (int)
| operator unsigned () const
PBoolean | IsFromRemote () const

## Protected Attributes

unsigned | number
PBoolean | fromRemote

## Detailed Description

Description of a Logical Channel Number. This is used as index into dictionary of logical channels.

## Constructor & Destructor Documentation

H323ChannelNumber::H323ChannelNumber | ( |  | ) | `[inline]`

H323ChannelNumber::H323ChannelNumber | ( | unsigned | number,
|  | PBoolean | fromRemote |
| ) |  |  |

## Member Function Documentation

virtual PObject* H323ChannelNumber::Clone | ( |  | ) | const`[virtual]`

virtual Comparison H323ChannelNumber::Compare | ( | const PObject & | obj | ) | const`[virtual]`

virtual PINDEX H323ChannelNumber::HashFunction | ( |  | ) | const`[virtual]`

PBoolean H323ChannelNumber::IsFromRemote | ( |  | ) | const`[inline]`

H323ChannelNumber::operator unsigned | ( |  | ) | const`[inline]`

H323ChannelNumber& H323ChannelNumber::operator++ | ( | int |  | ) |

virtual void H323ChannelNumber::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

## Field Documentation

PBoolean H323ChannelNumber::fromRemote `[protected]`

unsigned H323ChannelNumber::number `[protected]`

The documentation for this class was generated from the following file:

- channels.h